Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create customer signal

POST/workspaces/{organizationId}/customers/{id}/signals
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
typestring
min length 1
sourcestring
min length 1 · default: "agent"
evidenceUrlstring<uri>required
strengthnumber
min 0 · max 100 · default: 80
summarystring
observedAtstring
htmlstring
Responses
201

Recorded signal and recomputed merchant rank

signalobjectrequired
breakdownobjectrequired
waterfallstring[]required
404

Customer not found

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/customers/string/signals' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "type": "string",
  "source": "agent",
  "evidenceUrl": "http://example.com",
  "strength": 80,
  "summary": "string",
  "observedAt": "string",
  "html": "string"
}'
Response
{
  "signal": {
    "property1": null,
    "property2": null
  },
  "breakdown": {
    "property1": null,
    "property2": null
  },
  "waterfall": [
    "string"
  ]
}

Was this page helpful?